Skip to main content
Resource Center/Network Service/Network Service Operations/IPsec Operations
PUTIPsec OperationsSince 4.5.0SynchronousAuth Required

ReconnectIPsecConnection

ReconnectIPsecConnection

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • systemTagsList

    Optional. The system tag.

  • userTagsList

    Optional. The user tag.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryIPsecConnectionInventoryRequired

    See inventory

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • peerAddressStringRequired

      The remote network address.

    • authModeStringRequired

      The authentication mode.

    • authKeyStringRequired

      The authentication key.

    • vipUuidStringRequired

      The VIP UUID.

    • ikeAuthAlgorithmStringRequired

      The IKE authentication algorithm.

    • ikeEncryptionAlgorithmStringRequired

      The IKE encryption algorithm.

    • ikeDhGroupIntegerRequired

      The IKE DH group.

    • policyAuthAlgorithmStringRequired

      The ESP authentication algorithm.

    • policyEncryptionAlgorithmStringRequired

      The ESP encryption algorithm.

    • pfsStringRequired

      The PFS DH group.

    • policyModeStringRequired

      The encryption mode.

    • transformProtocolStringRequired

      The security protocol.

    • ikeVersionStringRequired

      The IKE version.

    • idTypeStringRequired

      The ID configuration method.

    • localIdStringRequired

      The local ID.

    • remoteIdStringRequired

      The remote ID.

    • stateStringRequired

      The running state.

    • statusStringRequired

      The ready status.

    • ikeLifeTimeintRequired

      The IKE lifetime.

    • lifeTimeintRequired

      The IPsec lifetime.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • peerCidrsListRequired

      See peerCidrs

      • uuidStringRequired

        The resource UUID.

      • cidrStringRequired

        No description provided.

      • connectionUuidStringRequired

        连接UUID。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • l3NetworkRefsListRequired

      See l3NetworkRefs

      • uuidStringRequired

        The resource UUID.

      • connectionUuidStringRequired

        连接UUID。

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. See error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/ipsec/{uuid}/actions

/zstack/v1/ipsec/{uuid}/actions

Operation ID

ReconnectIPsecConnection

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/ipsec/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "Test-IPSec", "description": "desc info ", "peerAddress": "100.64.10.10", "authKey": "auth", "vipUuid": "37c2aa27aff4338abb41fb5bdaa90f77", "status": "Connecting", "ikeLifeTime": 0.0, "lifeTime": 0.0, "peerCidrs": [ { "uuid": "0cf06fba80743d09bb31845d0b187197", "cidr": "192.168.100.0/24", "connectionUuid": "654dedd65de8345cae7042a375451146", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "l3NetworkRefs": [ {} ] } }

Change History

This API has no change history records yet.

View all change history